Module | Sequel::SQL::BitwiseMethods
In: | lib/sequel/sql.rb

This defines the bitwise methods: &, |, ^, ~, <<, and >>. Because these methods overlap with the standard +BooleanMethods methods+, and they only make sense for integers, they are only included in `NumericExpression`.

      :a.sql_number & :b # "a" & "b"
      :a.sql_number | :b # "a" | "b"
      :a.sql_number ^ :b # "a" ^ "b"
      :a.sql_number << :b # "a" << "b"
      :a.sql_number >> :b # "a" >> "b"
      ~:a.sql_number # ~"a"

### Methods

~

### Public Instance methods

~()

Do the bitwise compliment of the self

      ~:a.sql_number # ~"a"

[Source]

         # File lib/sequel/sql.rb, line 244
    244:       def ~
    245:         NumericExpression.new('B~''B~', self)
    246:       end

[Validate]